> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Transaction

> Initiate a new remittance transaction using existing customer profiles.

# Full Customer Flow

Initiates a new transaction where the sender and recipient have already been onboarded. You must provide the `preExistingSenderCustomerCode` and `preExistingRecipientCustomerCode`.

This endpoint is used for Remittance transactions where we are managing the customer lifecycle via the User Management APIs.


## OpenAPI

````yaml POST /transactionmanagement/create-transaction
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /transactionmanagement/create-transaction:
    post:
      summary: Create Transaction
      description: Initiate a new transaction
      operationId: createTransaction
      parameters:
        - $ref: '#/components/parameters/platformHeader'
        - $ref: '#/components/parameters/uuidHeader'
        - in: header
          name: X-Auth-Token
          schema:
            type: string
          required: true
        - in: header
          name: password
          schema:
            type: string
          required: true
        - in: header
          name: ipAddress
          schema:
            type: string
          required: true
        - in: header
          name: X-Idempotency-Key
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: string
                sendAmount:
                  type: string
                inclussive:
                  type: boolean
                receivingCurrency:
                  type: string
                  default: NGN
                sendCurrency:
                  type: string
                  default: GBP
                type:
                  type: string
                  default: ACCOUNTPAYMENT
                transactionProcessingMode:
                  type: string
                  default: NONE_AGGREGATION
                descriptionText:
                  type: string
                preExistingSenderCustomerCode:
                  type: string
                preExistingRecipientCustomerCode:
                  type: string
                transactionModule:
                  type: string
                  default: REMITTANCE
                creditParty:
                  type: array
                  items:
                    type: object
                internationalTransferInformation:
                  type: object
              required:
                - amount
                - sendAmount
                - inclussive
                - receivingCurrency
                - sendCurrency
                - type
                - preExistingSenderCustomerCode
                - preExistingRecipientCustomerCode
                - creditParty
                - internationalTransferInformation
      responses:
        '200':
          description: Transaction created
components:
  parameters:
    platformHeader:
      in: header
      name: platform
      schema:
        type: string
        default: fincode
      required: true
    uuidHeader:
      in: header
      name: uuid
      schema:
        type: string
        default: '200'
      required: true

````